Subject: Good News to Lads

From: [email-masked] (XXXXXX)
Date: Mon, 11 Jul 94 08:20:08 CDT

Hi, netters:
I'd like to share a piece of good news with you guys.  A new round of
processing lad applications seems to me began just a week ago.  My lad has a
priority date of July 1, 1993 like many others.  She handed in her application
in middle August 1993 in Philadelphia INS.  She got a cash receipt at that
time and had not heard from them ever since until last week when she got the
approval letter.  We went to PHil INS to process her I-89 stuff, it just took
about one minute.  In the INS office, we saw about 15 people (lads) doing the
same thing there.  This is just for your information.
I wish everybody good luck.
YLi
7/11/1994